# Changelog

All notable changes to this project will be documented in this file.

## 1.3.3 - *2021-08-30*

- Standardise files with files in sous-chefs/repo-management

## 1.3.1 (2020-09-16)

- resolved cookstyle error: libraries/provider_carbon_conf_accumulator.rb:37:7 refactor: `ChefModernize/ActionMethodInResource`
- resolved cookstyle error: libraries/provider_storage_conf_accumulator.rb:37:7 refactor: `ChefModernize/ActionMethodInResource`
- Fix frozen method error in libraries/chef_graphite_carbon_config_converter.rb
- Cookstyle Bot Auto Corrections with Cookstyle 6.16.8

## 1.3.0 (2020-06-06)

- Fix bug with changing a frozen string in ruby 2.7.0

## 1.2.0 (2020-05-27)

- Fix Django/Twisted overridden version ([#318])

## 1.1.1 - (2020-05-14)

- resolved cookstyle error: libraries/provider_carbon_conf_accumulator.rb:50:83 convention: `Layout/TrailingWhitespace`
- resolved cookstyle error: libraries/provider_carbon_conf_accumulator.rb:50:84 refactor: `ChefModernize/FoodcriticComments`
- resolved cookstyle error: libraries/provider_storage_conf_accumulator.rb:48:83 convention: `Layout/TrailingWhitespace`
- resolved cookstyle error: libraries/provider_storage_conf_accumulator.rb:48:84 refactor: `ChefModernize/FoodcriticComments`
- Migrate to github actions
- Ran linters and addressed issues
- Ran latest cookstyle
- Remove unnecessary actions method in the resources

## [1.1.0] - 2019-09-05

- Fix cookstyle issues
- Should now work with Chef 13, 14 and 15
- Syntax and styling updates
- Compatibility with Chef 13 (.[@oscar123mendoza])

## [1.0.4] - 2016-01-29

### Added

- Adds License and Code of Conduct

### Fixed

- Syntax and styling updates
- Use full Twisted version number
- Manage graphite nofile ulimit
- Fixes carbon source

### Known Issues

- Reordering of Carbon .ini [241](https://github.com/sous-chefs/graphite/issues/241)
- Graphite web timeout when restarting [224](https://github.com/sous-chefs/graphite/issues/224)

## [1.0.2] - 2014-11-18

### Fixed

- README improvements to address resource usage and removal of Apache dependency ([@webframp], [#187])
- restart graphite-web in graphite_example sample recipe ([@obazoud], [#182])
- remove unused `['graphite']['web_server']` attribute ([@obazoud], [#181])

## [1.0.1] - 2014-08-27

### Fixed

- Readme improvements.

## [1.0.0] - 2014-08-27

### Breaking Changes

- Initial release of graphite library style cookbook. Complete rewrite of cookbook to provide reusable resources. Breaks backward compatibility with cookbook version prior 1.0\. ([@webframp], [@fnichol], [@agoddard])

<!-- - The following link definition list is generated by PimpMyChangelog - -->

[#318]: https://github.com/sous-chefs/graphite/issues/318
[#181]: https://github.com/sous-chefs/graphite/issues/181
[#182]: https://github.com/sous-chefs/graphite/issues/182
[#187]: https://github.com/sous-chefs/graphite/issues/187
[@agoddard]: https://github.com/agoddard
[@fnichol]: https://github.com/fnichol
[@obazoud]: https://github.com/obazoud
[@webframp]: https://github.com/webframp
[@oscar123mendoza]: https://github.com/oscar123mendoza
